jira-wiki-markup-1.5.1: Handle Jira wiki markup

Copyright | © 2019–2023 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb@zeitkraut.de>
Stability | alpha
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

Text.Jira.Parser.PlainText

Description

Functions for parsing markup-less strings.

Synopsis

- plainText :: Text -> Either ParseError [Inline]

# Documentation

plainText :: Text -> Either ParseError [Inline] Source #

Parses into an ``Inline`` elements which represent plain text. The result consists of any number of ``Str``, ``SpecialChar``, or ``Space`` elements.

This parser can be used to convert un-escaped strings into proper Jira markup elements.